package com.fs.hisStore.service.impl;

import java.util.List;

import com.fs.his.vo.CitysAreaVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.hisStore.mapper.FsCityScrmMapper;
import com.fs.hisStore.domain.FsCityScrm;
import com.fs.hisStore.service.IFsCityScrmService;

/**
 * 城市Service业务层处理
 *
 * @author fs
 * @date 2022-03-15
 */
@Service
public class FsCityScrmServiceImpl implements IFsCityScrmService
{
    @Autowired
    private FsCityScrmMapper fsCityMapper;

    /**
     * 查询城市
     *
     * @param id 城市ID
     * @return 城市
     */
    @Override
    public FsCityScrm selectFsCityById(Long id)
    {
        return fsCityMapper.selectFsCityById(id);
    }

    /**
     * 查询城市列表
     *
     * @param fsCity 城市
     * @return 城市
     */
    @Override
    public List<FsCityScrm> selectFsCityList(FsCityScrm fsCity)
    {
        return fsCityMapper.selectFsCityList(fsCity);
    }

    /**
     * 新增城市
     *
     * @param fsCity 城市
     * @return 结果
     */
    @Override
    public int insertFsCity(FsCityScrm fsCity)
    {
        return fsCityMapper.insertFsCity(fsCity);
    }

    /**
     * 修改城市
     *
     * @param fsCity 城市
     * @return 结果
     */
    @Override
    public int updateFsCity(FsCityScrm fsCity)
    {
        return fsCityMapper.updateFsCity(fsCity);
    }

    /**
     * 批量删除城市
     *
     * @param ids 需要删除的城市ID
     * @return 结果
     */
    @Override
    public int deleteFsCityByIds(Long[] ids)
    {
        return fsCityMapper.deleteFsCityByIds(ids);
    }

    /**
     * 删除城市信息
     *
     * @param id 城市ID
     * @return 结果
     */
    @Override
    public int deleteFsCityById(Long id)
    {
        return fsCityMapper.deleteFsCityById(id);
    }

    @Override

    public List<FsCityScrm> selectFsCitys() {
        return fsCityMapper.selectFsCitys();
    }

    @Override
    public List<CitysAreaVO> getCitysArea() {
        return fsCityMapper.getCitysArea();
    }
}
